Class FlangeBuilder
Inheritance
System.Object
System.MarshalByRefObject
FlangeBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
public class FlangeBuilder : SheetmetalBaseBuilder, IMessageSink, IComponentBuilder
Constructors
Declaration
protected FlangeBuilder()
Properties
Declaration
public Expression BendAngle { get; }
Property Value
Declaration
public BendOptions BendOptions { get; }
Property Value
Declaration
public Edge Edge { get; set; }
Property Value
Declaration
public Expression FirstDistance { get; }
Property Value
Declaration
public FlangeBuilder.InsetTypeOptions InsetType { get; set; }
Property Value
Declaration
public Expression Length { get; }
Property Value
Declaration
public FlangeBuilder.LengthTypeOptions LengthType { get; set; }
Property Value
Declaration
public FlangeBuilder.MatchFaceOptions MatchFaceOption { get; set; }
Property Value
Declaration
public Plane MatchPlane { get; set; }
Property Value
Declaration
public Expression Offset { get; }
Property Value
Declaration
public FlangeBuilder.OffsetTypeOptions OffsetType { get; set; }
Property Value
Declaration
public Expression SecondDistance { get; }
Property Value
Declaration
public Point3d Vertex { get; set; }
Property Value
Declaration
public FlangeBuilder.WidthTypeOptions WidthType { get; set; }
Property Value
Methods
Declaration
public void DeleteSketch()
Declaration
Declaration
public Sketch GetSketch()
Returns
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.BendAngle instead.")]
public void SetBendAngle(string bendAngle)
Parameters
Type |
Name |
Description |
System.String |
bendAngle |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance instead.")]
public void SetFirstDistance(string firstDistance)
Parameters
Type |
Name |
Description |
System.String |
firstDistance |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.Length instead.")]
public void SetLength(string length)
Parameters
Type |
Name |
Description |
System.String |
length |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.Offset instead.")]
public void SetOffset(string offset)
Parameters
Type |
Name |
Description |
System.String |
offset |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance instead.")]
public void SetSecondDistance(string secondDistance)
Parameters
Type |
Name |
Description |
System.String |
secondDistance |
|
Declaration
public int ValidateBuilderData()
Returns
Type |
Description |
System.Int32 |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink